Library Version 18.1.40

Db::get_q_extentsize()
Prev | Chapter 2. The Db Handle | Next

## Db::get_q_extentsize()

    #include <db_cxx.h>

    int
    Db::get_q_extentsize(u_int32_t *extentsizep);

The `Db::get_q_extentsize()` method returns the number of pages in an extent. This value is used only for Queue databases and is set using the Db::set_q_extentsize() method.

The `Db::get_q_extentsize()` method may be called only after the database has been opened.

The `Db::get_q_extentsize()` method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

#### extentsizep

The `Db::get_q_extentsize()` method returns the number of pages in an extent in extentsizep. If used on a handle that has not yet been opened, `0` is returned.

### Class

Db

### See Also

Database and Related Methods, Db::set_q_extentsize()

Prev | Up | Next
Db::get_priority() | Home | Db::get_re_delim()